Skip to main content

Stand-Alone Credit with a Token


Use this information to process a stand-alone credit with a token.

A stand-alone credit is a credit that is not linked to a previous transaction. When you process a stand-alone credit, there is no set limit on the amount because there is no reference to the original transaction amount. There is no time limit for requesting a stand-alone credit.

When a stand-alone credit request is successful, the issuing bank for the payment card takes money out of the merchant bank account and returns it to the customer. It typically takes two to four days for the acquiring bank to transfer funds from the merchant bank account.

Endpoints

POST /pts/v2/credits/

POST /pts/v2/credits/

Example

{    "clientReferenceInformation": {        "transactionId": "43987654321",        "partner": {            "thirdPartyCertificationNumber": "123456789012"        }    },    "paymentInformation": {        "card": {            "expirationMonth": "03",            "expirationYear": "2031",            "type": "001"        },        "instrumentIdentifier": {            "id": "DCED1B858116F177E053AF598E0AA10A"        }    },    "orderInformation": {        "amountDetails": {            "totalAmount": "200.00",            "currency": "THB"        }    }}
{    "_links": {        "void": {            "method": "POST",            "href": "/pts/v2/credits/6502828338426145304001/voids"        },        "self": {            "method": "GET",            "href": "/pts/v2/credits/6502828338426145304001"        }    },    "clientReferenceInformation": {        "code": "12345678",        "transactionId": "43987654321"    },    "creditAmountDetails": {        "currency": "THB",        "creditAmount": "200.00"    },    "id": "6502828338426145304001",    "orderInformation": {        "amountDetails": {            "currency": "THB"        }    },    "paymentAccountInformation": {        "card": {            "type": "001"        }    },    "paymentInformation": {        "tokenizedCard": {            "type": "001"        },        "instrumentIdentifier": {            "id": "DCED1B858116F177E053AF598E0AA10A",            "state": "ACTIVE"        },        "card": {            "type": "001"        }    },    "reconciliationId": "6502828338426145304001",    "status": "PENDING",    "submitTimeUtc": "2022-04-18T11:53:54Z"}
{    "clientReferenceInformation": {        "code": "1234567hgh8"    },    "paymentInformation": {        "instrumentIdentifier": {            "id": "D6B858CAD38A1B7CE0531D588D0ADB5D"        },        "card": {            "expirationMonth": "03",            "expirationYear": "2031",            "type": "062"        }    },    "orderInformation": {        "amountDetails": {            "totalAmount": "225.00",            "currency": "THB"        }    }}
{    "_links": {        "void": {            "method": "POST",            "href": "/pts/v2/credits/6538345097226017503265/voids"        },        "self": {            "method": "GET",            "href": "/pts/v2/credits/6538345097226017503265"        }    },    "clientReferenceInformation": {        "code": "1234567hgh8"    },    "creditAmountDetails": {        "currency": "TBH",        "creditAmount": "225.00"    },    "id": "6538345097226017503265",    "orderInformation": {        "amountDetails": {            "currency": "TBH"        }    },    "paymentAccountInformation": {        "card": {            "type": "062"        }    },    "paymentInformation": {        "tokenizedCard": {            "type": "062"        },        "instrumentIdentifier": {            "id": "D6B858CAD38A1B7CE0531D588D0ADB5D",            "state": "ACTIVE"        },        "card": {            "type": "062"        }    },    "reconciliationId": "6538345097226017503265",    "status": "PENDING",    "submitTimeUtc": "2024-04-25T12:06:44Z"}

Required Fields

Visa Platform Connect Required Fields
FieldTypeDescription
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
clientReferenceInformation.transactionId
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
paymentInformation.card.expirationMonth
paymentInformation.card.expirationYear
paymentInformation.card.type
paymentInformation.instrumentIdentifier.id
China UnionPay Required Fields
FieldTypeDescription
clientReferenceInformation.code
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
paymentInformation.card.expirationMonth
paymentInformation.card.expirationYear
paymentInformation.card.type
paymentInformation.instrumentIdentifier.id

Last published: September 29, 2026